Subject: bug#11671: Bootstrap randomly fails on Hydra

From: [email-masked] (Ludovic Courtès)
Date: Mon, 11 Jun 2012 14:21:09 +0200

Hello,

For some time, the ‘tarball’ job of Coreutils on Hydra has been failing
apparently randomly, as in the example below.

It’s surprising since it is supposed to be deterministic: it starts from
a pristine tree, and is always performed on x86_64-linux-gnu.

Any idea what’s going on here?

Thanks,
Ludo’.

Subject: Hydra job gnu:coreutils-master:tarball on x86_64-linux, build 2691638: Failed
From: Hydra Build Daemon <[email-masked]>
To: Jim Meyering <[email-masked]>, PXXdraig Brady <[email-masked]>, Ludovic CourtXXs <[email-masked]>
Date: Mon, 11 Jun 2012 11:50:54 +0200

Hi,

This is to let you know that Hydra build 2691638 of job gnu:coreutils-master:tarball has changed from 'Success' to 'Failed'.

Complete build information can be found on this page: http://hydra.nixos.org/build/2691638

The last 50 lines of the build log are shown at the bottom of this email.

A summary of the build information follows:

Build ID:              | 2691638
Nix name:              | coreutils-tarball-0pre07595ed8567368ca7857df974e1d8209716e7ec1
Short description:     | Build of a source distribution from a checkout
Maintainer(s):         | Jim Meyering <[email-masked]>, Pádraig Brady <[email-masked]>, Ludovic Courtès <[email-masked]>
System:                | x86_64-linux
Derivation store path: | /nix/store/3ya9v10145ky17mcc62aabivhnkpsqfh-coreutils-tarball-0pre07595ed8567368ca7857df974e1d8209716e7ec1.drv
Output store path:     | /nix/store/1hqvk6chfz4q3mvz1fviq4cg3d7gxcj4-coreutils-tarball-0pre07595ed8567368ca7857df974e1d8209716e7ec1
Time added:            | 2012-06-11 11:50:53
Build started:         | 2012-06-11 11:49:09
Build finished:        | 2012-06-11 11:50:53
Duration:              | 104s

The build inputs were:

Name         | Type  | Value
-------------+-------+--------------------------------------------------------------------------------------
hydraConfig  | git   | git://git.savannah.gnu.org/hydra-recipes.git:ba0050b99e7ae0f66e0cdc8287fb82accfcda76e
gnulibSrc    | git   | git://git.sv.gnu.org/gnulib.git:8cabb1a2d9e1894d373011fafd6c67924c166fa3
nixpkgs      | svn   | https://nixos.org/repos/nix/nixpkgs/trunk:34450
coreutilsSrc | git   | git://git.sv.gnu.org/coreutils.git:07595ed8567368ca7857df974e1d8209716e7ec1
tarball      | build | 2691173

Regards,

The Hydra build daemon.

---
  lib/glthread/thread.c -> tests/glthread/thread.c
  lib/glthread/thread.h -> tests/glthread/thread.h
  lib/glthread/yield.h -> tests/glthread/yield.h
  lib/inet_pton.c -> tests/inet_pton.c
  lib/ioctl.c -> tests/ioctl.c
  lib/listen.c -> tests/listen.c
  lib/localename.c -> tests/localename.c
  lib/localename.h -> tests/localename.h
  lib/perror.c -> tests/perror.c
  lib/pipe.c -> tests/pipe.c
  lib/setlocale.c -> tests/setlocale.c
  lib/setsockopt.c -> tests/setsockopt.c
  lib/sleep.c -> tests/sleep.c
  lib/socket.c -> tests/socket.c
  lib/strerror_r.c -> tests/strerror_r.c
  lib/symlinkat.c -> tests/symlinkat.c
  lib/unlinkdir.c -> tests/unlinkdir.c
  lib/unlinkdir.h -> tests/unlinkdir.h
  lib/usleep.c -> tests/usleep.c
  lib/w32sock.h -> tests/w32sock.h
  lib/wctob.c -> tests/wctob.c
  lib/wctomb-impl.h -> tests/wctomb-impl.h
  lib/wctomb.c -> tests/wctomb.c
  top/GNUmakefile
  top/maint.mk
Creating directory ./build-aux/snippet
Creating directory ./gnulib-tests/glthread
Creating directory ./gnulib-tests/unistr
Creating directory ./gnulib-tests/uniwidth
Creating directory ./lib/glthread
Creating directory ./lib/unistr
Creating directory ./lib/uniwidth
Copying file GNUmakefile
/nix/store/0h02f2l6qbah1wil9bpan9c2flv99xv9-git-export/gnulib-tool: line 4700: ./build-aux/announce-gen.tmp: Permission denied
/nix/store/0h02f2l6qbah1wil9bpan9c2flv99xv9-git-export/gnulib-tool: *** failed
/nix/store/0h02f2l6qbah1wil9bpan9c2flv99xv9-git-export/gnulib-tool: *** Stop.
running: AUTOPOINT=true LIBTOOLIZE=true  autoreconf --verbose --install --no-recursive -I m4
autoreconf: Entering directory `.'
autoreconf: running: true
autoreconf: running: aclocal -I m4 -I m4
sh: build-aux/git-version-gen: No such file or directory
configure.ac:35: error: AC_INIT should be called with package and version arguments
/nix/store/0a9vc8x31k1crzrlb18rh277v8mjrg1k-automake-1.11.2/share/aclocal-1.11/init.m4:26: AM_INIT_AUTOMAKE is expanded from...
configure.ac:35: the top level
autom4te: /nix/store/62pf2m8kv7zmghkpgnngd2hh7r163xs4-gnum4-1.4.16/bin/m4 failed with exit status: 1
.aclocal-wrapped: /nix/store/8msk42sv3zx1xbkrf3vck6g99mnbjzsv-autoconf-2.68/bin/autom4te failed with exit status: 1
autoreconf: aclocal failed with exit status: 1
build time elapsed:  0m0.034s 0m0.025s 0m27.090s 0m52.932s
Copying build directory to /nix/store/1hqvk6chfz4q3mvz1fviq4cg3d7gxcj4-coreutils-tarball-0pre07595ed8567368ca7857df974e1d8209716e7ec1/nix-build-3ya9v10145ky17mcc62aabivhnkpsqfh-coreutils-tarball-0pre07595ed8567368ca7857df974e1d8209716e7ec1.drv-0
build failed with exit code 1 (ignored)